Page MenuHomePhabricator

Update technical documentation for CheckUser
Closed, ResolvedPublic3 Estimated Story PointsAug 11 2020

Description

Goal

As a technical audience member for the Checkuser extension I would like to see documentation for the new special page so that I can understand how to use the new special page.

Acceptance criteria
  • Update CheckUser extension page with the new functionality added with Special:Investigate.
  • All new wg config variables added should be described
  • Screenshots with spoofed data from a local installation

Details

Due Date
Aug 11 2020, 4:00 AM

Event Timeline

Niharika triaged this task as Medium priority.Jun 30 2020, 10:37 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJun 30 2020, 10:37 PM
Huji added a subscriber: Huji.Jul 1 2020, 12:18 AM

Can I suggest that we add to the Acceptance Criteria that all wg config variables should also be described on the CheckUser extension page?

Niharika updated the task description. (Show Details)Jul 1 2020, 4:16 PM
Niharika updated the task description. (Show Details)
Niharika updated the task description. (Show Details)Jul 1 2020, 4:19 PM
ARamirez_WMF set the point value for this task to 3.Jul 1 2020, 4:19 PM
ARamirez_WMF set Due Date to Aug 11 2020, 4:00 AM.Jul 29 2020, 5:44 PM
ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".

For this task feel free to reuse the screenshots on https://meta.wikimedia.org/wiki/Help:Special_Investigate. Those show data for accounts we created as part of our fake-data generation activity.

Here's a diff of the updates: https://www.mediawiki.org/w/index.php?title=Extension:CheckUser&type=revision&diff=4003219&oldid=3983529&diffmode=source

We've only added one config so far, but we can update it as we add more (e.g. max results and max targets may become configs).

The sidebar needs updating (as of 4013085).

Specifically

  • PHP
  • Parameters (which appears to come from extension.json?)
  • Added rights
  • Hooks provided (I assume we should create a new page for each hook we've added?)

Thanks @dbarratt

  • PHP

I'm not sure this is meant to be the version of PHP needed by the latest version of the extension. For comparison, the version of MediaWiki is specified as 1.27+, whereas the latest version of CheckUser needs 1.35+.

  • Parameters (which appears to come from extension.json?)

These all appear to be present

  • Added rights
  • Hooks provided (I assume we should create a new page for each hook we've added?)

I've added these: https://www.mediawiki.org/w/index.php?title=Extension:CheckUser&type=revision&diff=4014916&oldid=4013085&diffmode=visual

I'll add the subtitle hook once we've merged the handler, just in case anything changes.

Niharika closed this task as Resolved.Aug 24 2020, 10:37 PM